#!/bin/sh

T2C_ROOT=`pwd`
export T2C_ROOT

# Remove special compiler flag list
rm -rf cc_special_flags

# Remove old TET files.
rm -rf ${T2C_ROOT}/tet_scen ${T2C_ROOT}/tet_tmp_dir

# Clean T2C code generator.
cd ${T2C_ROOT}/tools/t2c
make clean
cd ${T2C_ROOT}

# Clean all test suites
for TEST_SUITE in *-t2c
do
    if [ -d ${TEST_SUITE} ]
    then
        echo   "----------------------"
        printf "Cleaning $TEST_SUITE\n"
        
        cd ${T2C_ROOT}/$TEST_SUITE
        ./clean
        cd ${T2C_ROOT}

        # Clean previously built test data
        if [ -d ${TEST_SUITE}/testdata/testdata_src ]
        then
             cd ${T2C_ROOT}/${TEST_SUITE}/testdata/testdata_src
             make clean
             cd ${T2C_ROOT}
        fi
    fi
done

